<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>支付宝alipay.acquire.create接口</title>
</head>
<?php
/* *
 * 功能：alipay.acquire.create接口接入页
 * 版本：3.3
 * 修改日期：2012-07-23
 * 说明：
 * 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。
 * 该代码仅供学习和研究支付宝接口使用，只是提供一个参考。

 *************************注意*************************
 * 如果您在接口集成过程中遇到问题，可以按照下面的途径来解决
 * 1、商户服务中心（https://b.alipay.com/support/helperApply.htm?action=consultationApply），提交申请集成协助，我们会有专业的技术工程师主动联系您协助解决
 * 2、商户帮助中心（http://help.alipay.com/support/232511-16307/0-16307.htm?sh=Y&info_type=9）
 * 3、支付宝论坛（http://club.alipay.com/read-htm-tid-8681712.html）
 * 如果不想使用扩展功能请把扩展功能参数赋空值。
 */

require_once("alipay.config.php");
require_once("lib/alipay_submit.class.php");

/**************************请求参数**************************/



       
//alipay_ca_request
        $alipay_ca_request = $_POST['WIDalipay_ca_request'];
	//Signature type
	
//buyer_id       
        $buyer_id = $_POST['WIDbuyer_id'];
	//Buyer’s Alipay ID
	//quantity
	$quantity = $_POST['WIDquantity'];
	//Quantity of commodity
		
	//price     
        $price  = $_POST['WIDprice'];
//Unit price of the goods
		//out_trade_no

	
        $out_trade_no = $_POST['WIDout_trade_no'];
//The unique order number on the merchant’s website
		
	//currency		
	$currency = $_POST['WIDcurrency'];
	//The currency used for labelling the price of the transaction. this is also the settlement currency Alipay settled to the partner.
	
	//product_code
	$product_code = $_POST['WIDproduct_code'];
//	Order business type
	
	//total_fee
	$total_fee = $_POST['WIDtotal_fee'];
//The order amount
	
        
  //seller_id
        $seller_id = $_POST['WIDseller_id'];
//Seller’s Alipay user ID


        //subject
        $subject = $_POST['WIDsubject'];
	//The title of the order

        //trans_currency
        $trans_currency = $_POST['WIDtrans_currency'];
        //Currency of the price
	
	//extend_params
        $extend_params = $_POST['WIDextend_params'];
        //Business extension parameters
     //notify_url
        $notify_url = $_POST['WIDnotify_url'];
        //[Alipay server takes the initiative to notify merchant of webpage http path designated by website 
	
 


/************************************************************/

//构造要请求的参数数组，无需改动
$parameter = array(
		"service" => "alipay.acquire.create",
		"partner" => trim($alipay_config['partner']),

		"notify_url"	=> $notify_url,
		"alipay_ca_request"	=> $alipay_ca_request,
		"quantity"	=> $quantity,
		"buyer_id"	=> $buyer_id,
		"out_trade_no"	=> $out_trade_no,
		"extend_params"	=> $extend_params,
		
		"currency"	=> $currency,
		"price"	=> $price,
		"product_code"	=> $product_code,
		"seller_id"	=> $seller_id,
		"subject"	=> $subject,
		"total_fee"	=> $total_fee,
		"trans_currency"	=> $trans_currency,
		
		"_input_charset"	=> trim(strtolower($alipay_config['input_charset']))
);

//建立请求
$alipaySubmit = new AlipaySubmit($alipay_config);
$html_text = $alipaySubmit->buildRequestHttp($parameter);
//解析XML
//注意：该功能PHP5环境及以上支持，需开通curl、SSL等PHP配置环境。建议本地调试时使用PHP开发软件
$doc = new DOMDocument();
$doc->loadXML($html_text);

//请在这里加上商户的业务逻辑程序代码

//——请根据您的业务逻辑来编写程序（以下代码仅作参考）——

//获取支付宝的通知返回参数，可参考技术文档中页面跳转同步通知参数列表

//解析XML
if( ! empty($doc->getElementsByTagName( "alipay" )->item(0)->nodeValue) ) {
	$alipay = $doc->getElementsByTagName( "alipay" )->item(0)->nodeValue;
	echo $alipay;
}

//——请根据您的业务逻辑来编写程序（以上代码仅作参考）——

?>
</body>
</html>